Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dba.db2
Class DB2QualifierTranslator

    java.lang.Object
      org.apache.cayenne.access.trans.QueryAssemblerHelper
          org.apache.cayenne.access.trans.QualifierTranslator
              org.apache.cayenne.access.trans.TrimmingQualifierTranslator
                  org.apache.cayenne.dba.db2.DB2QualifierTranslator

All Implemented Interfaces:
  TraversalHandler

    public class DB2QualifierTranslator

extends TrimmingQualifierTranslator

Author:
  Andrei Adamchik

Field Summary

Fields inherited from class org.apache.cayenne.access.trans.TrimmingQualifierTranslator
`trimFunction`

Fields inherited from class org.apache.cayenne.access.trans.QualifierTranslator
`matchingObject, objectMatchTranslator, qualBuf, translateParentQual`

Fields inherited from class org.apache.cayenne.access.trans.QueryAssemblerHelper
`queryAssembler`

Constructor Summary
`DB2QualifierTranslator()`
`DB2QualifierTranslator(QueryAssembler queryAssembler, java.lang.String trimFunction)`

Method Summary
`protected void` | `appendLiteralDirect(java.lang.StringBuffer buf, java.lang.Object val, DbAttribute attr, Expression parentExpression)` Appends SQL code to the query buffer to handle `val` as a parameter to the PreparedStatement being built.

Methods inherited from class org.apache.cayenne.access.trans.TrimmingQualifierTranslator
`getTrimFunction, processColumn, processColumn, setTrimFunction`

Methods inherited from class org.apache.cayenne.access.trans.QualifierTranslator
`appendLiteral, appendObjectMatch, detectObjectMatch, doTranslation, endNode, extractQualifier, finishedChild, getObjEntity, isTranslateParentQual, objectNode, parenthesisNeeded, processRelTermination, setTranslateParentQual, startNode`

Methods inherited from class org.apache.cayenne.access.trans.QueryAssemblerHelper
`appendDbPath, appendObjPath, getDbEntity, getQueryAssembler, paramsDbType, processColumn, processRelTermination, setQueryAssembler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DB2QualifierTranslator

    public DB2QualifierTranslator()

### DB2QualifierTranslator

    public DB2QualifierTranslator(QueryAssembler queryAssembler,
                                  java.lang.String trimFunction)

Method Detail

### appendLiteralDirect

    protected void appendLiteralDirect(java.lang.StringBuffer buf,
                                       java.lang.Object val,
                                       DbAttribute attr,
                                       Expression parentExpression)

  Description copied from class: `QueryAssemblerHelper`
  Appends SQL code to the query buffer to handle `val` as a parameter to the PreparedStatement being built. Adds `val` into QueryAssembler parameter list.

  Overrides:
    `appendLiteralDirect` in class `QueryAssemblerHelper`
  Parameters:
    `buf` - query buffer
    `val` - object that should be appended as a literal to the query. Must be of one of "standard JDBC" types. Can not be null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.